@import "../variables";


@mixin typography-theme($theme) {

  $background: map-get($theme, background);
  $accent: map-get($theme, accent);
  $primary: map-get($theme, primary);
  $is-dark: map-get($theme, is-dark);

  a {
    color: map-get($primary, 400);
    &:not(.mat-button):not(.mat-raised-button):not(.mat-flat-button):not(.mat-stroked-button):not(.mat-icon-button):not(.mat-fab):not(.mat-mini-fab) {
      &:hover {
        color: map-get($primary, 500);
      }
    }
  }


}


// -----------------------------------------------------------------------------------------------------
// @ Typography
// -----------------------------------------------------------------------------------------------------

body {
  font-family: $font-family;
  font-size: 90%;
}

html, body {
  -webkit-font-smoothing: auto;
  -moz-osx-font-smoothing: auto;
}

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
  font-weight: normal;
}
h1, .h1 {
  font-size: 30px;
}

h2, .h2 {
  font-size: 26px;
}

h3, .h3 {
  font-size: 23px;
}

h4, .h4 {
  font-size: 20px;
}

h5, .h5 {
  font-size: 17px;
}

h6, .h6 {
  font-size: 16px;
}

/*h1, .h1 {
  font-size: 28px;
}

h2, .h2 {
  font-size: 24px;
}

h3, .h3 {
  font-size: 21px;
}

h4, .h4 {
  font-size: 18px;
}

h5, .h5 {
  font-size: 16px;
}

h6, .h6 {
  font-size: 15px;
}*/

a {
  text-decoration: none;
}

.breadcrumbs {

  &__item {
    font-size: 14px;
    line-height: 28px;
  }
}
